

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/jbd/journal.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

diff -puN fs/jbd/journal.c~jbd-fix-against-journal-overflow-tidies fs/jbd/journal.c
--- 25/fs/jbd/journal.c~jbd-fix-against-journal-overflow-tidies	2005-01-22 18:25:13.169529336 -0800
+++ 25-akpm/fs/jbd/journal.c	2005-01-22 18:25:13.174528576 -0800
@@ -737,7 +737,7 @@ journal_t * journal_init_dev(struct bloc
 	journal->j_sb_buffer = bh;
 	journal->j_superblock = (journal_superblock_t *)bh->b_data;
 
-	/* journal descriptor can store upto n blocks -bzzz */
+	/* journal descriptor can store up to n blocks -bzzz */
 	n = journal->j_blocksize / sizeof(journal_block_tag_t);
 	journal->j_wbufsize = n;
 	journal->j_wbuf = kmalloc(n * sizeof(struct buffer_head*), GFP_KERNEL);
@@ -763,7 +763,8 @@ journal_t * journal_init_inode (struct i
 {
 	struct buffer_head *bh;
 	journal_t *journal = journal_init_common();
-	int err, n;
+	int err;
+	int n;
 	unsigned long blocknr;
 
 	if (!journal)
@@ -780,7 +781,7 @@ journal_t * journal_init_inode (struct i
 	journal->j_maxlen = inode->i_size >> inode->i_sb->s_blocksize_bits;
 	journal->j_blocksize = inode->i_sb->s_blocksize;
 
-	/* journal descriptor can store upto n blocks -bzzz */
+	/* journal descriptor can store up to n blocks -bzzz */
 	n = journal->j_blocksize / sizeof(journal_block_tag_t);
 	journal->j_wbufsize = n;
 	journal->j_wbuf = kmalloc(n * sizeof(struct buffer_head*), GFP_KERNEL);
@@ -1164,10 +1165,7 @@ void journal_destroy(journal_t *journal)
 		iput(journal->j_inode);
 	if (journal->j_revoke)
 		journal_destroy_revoke(journal);
-	if (journal->j_wbuf) {
-		kfree(journal->j_wbuf);
-		journal->j_wbuf = NULL;
-	}
+	kfree(journal->j_wbuf);
 	kfree(journal);
 }
 
_
